﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace XdgIdei {
    public class MyClass : INotifyPropertyChanged {

        public event PropertyChangedEventHandler PropertyChanged;

        private ObservableCollection<ColumnError> _errors;
        private decimal _price;
        private decimal _price2;
        private decimal _price3;

        public ObservableCollection<ColumnError> Errors {
            get { return _errors; }
            set { _errors = value; Changed("Errors"); }
        }

        public decimal Price {
            get { return _price; }
            set { _price = value; Changed("Price"); }
        }

        public decimal Price2 {
            get { return _price2; }
            set { _price2 = value; Changed("Price2"); }
        }
        public decimal Price3 {
            get { return _price3; }
            set { _price3 = value; Changed("Price3"); }
        }


        public MyClass() {
            _errors = new ObservableCollection<ColumnError>();
            
        }


        private void Changed(string propertyName) {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));

            
        }



    }
}
