﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace XdgIdei {
    public class ValidationFormatRule : DiscreetRuleBase {


        public static readonly DependencyProperty RuleProperty =
            DependencyProperty.Register("Rule",
            typeof(ValidationRule),
            typeof(ValidationFormatRule),
            new FrameworkPropertyMetadata());

        public ValidationRule Rule {
            get { return (ValidationRule)GetValue(RuleProperty); }
            set { SetValue(RuleProperty, value); }
        }

        protected override IConditionalFormattingRuleProxy CreateProxy() {
            ValidationFormatRuleProxy p = new ValidationFormatRuleProxy {
                Rule = this.Rule,
                StyleToApply = this.StyleToApply
            };

            
            return p;

        }
    }

}
